#pragma once

#include <list>
#include <string>

#include "tstring.h"

unsigned int getAllHidDevicePaths(std::list<std::tstring> &paths);
unsigned int findHidDeviceByID(std::list<std::tstring> &paths, USHORT vid, USHORT pid);
bool getHidDeviceInfo(std::tstring &path, std::wstring &manufacture, std::wstring &product);
bool getHidDeviceCapabilities(std::tstring &path, USHORT *psendBufLen, USHORT *precvBufLen);
bool rwHidDevice(std::tstring &path, uint8_t *wbuf, unsigned int wsize, uint8_t *rbuf, unsigned int *rsize);
